Class | YARD::Handlers::Ruby::Legacy::ClassConditionHandler
In: | lib/yard/handlers/ruby/legacy/class_condition_handler.rb
Parent: | YARD::Handlers::Ruby::Legacy::Base

(see Ruby::ClassConditionHandler) @since 0.5.4

### Methods

parse_condition parse_else_block parse_then_block

### Protected Instance methods

parse_condition()

Parses the condition part of the if/unless statement

@return [true, false, nil] true if the condition can be definitely

      parsed to true, false if not, and nil if the condition cannot be
      parsed with certainty (it's dynamic)

@since 0.5.5

parse_else_block()

@since 0.5.5

parse_then_block()

@since 0.5.5

[Validate]